package com.ustadmobile.libcache.db.dao

import com.ustadmobile.libcache.db.entities.RetentionLock
import kotlin.Int
import kotlin.Long
import kotlin.String
import kotlin.collections.List

public actual abstract class RetentionLockDao {
  public actual abstract fun insert(retentionLock: RetentionLock): Long

  public actual abstract fun upsertList(retentionLocks: List<RetentionLock>)

  public actual abstract fun delete(retentionLocks: List<RetentionLock>)

  public actual abstract fun findByBatchId(batchId: Int): List<RetentionLock>

  public actual abstract fun findByKey(urlKey: String): List<RetentionLock>
}
